function f = saddens(u,r,n,b); 

%_____________________________________________________________________________
% SADDENS.M
% arguments: u (saddlepoint), r (argument of the density), n (sample size)
%            b (exponential parameter)
% This function computes the the saddlepoint approximation to the density of 
% the resultant length under isotropy, exponential step size and in dimension 
% p = 3
%_____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab

sigma = sqrt(sigma2(u,r,n,b)); 
M = b/(2*u)*log((b+u)/(b-u));
f = (2*pi*n)^(-3/2)*4*pi/sigma*exp(-u*r)*M^n*r^2;



