function f = saddle(u,r,n,beta);


%_____________________________________________________________________________
% SADDLE.M
% arguments: u (saddlepoint), r (argument of the density), n (sample size) 
%	     beta (parameter of exponential)
% This function is maximized at the saddlepoint u for computing the
% saddlepoint approximation of the resultant length under isotropy, 
% exponential step size and in dimension p = 3
%_____________________________________________________________________________

M = beta/(2*u)*log((beta+u)/(beta-u));   
f = -(u*r/n - log(M));

