function S2 = sigma2(u,r,n,b);

%_____________________________________________________________________________
% SIGMA2.M
% arguments: u (saddlepoint), r (argument of the density), n (sample size) 
% 	     b (exponential parameter)
% This function computes the determinant of the Hessian at the saddlepoint for 
% the saddlepoint approximation of the resultant length under isotropy, 
% exponential step size and in dimension p = 3
%_____________________________________________________________________________


syms a c
syms f(a,c)
f(a,c) = 1/2*c/a*log((c+a)/(c-a));
d2f(a,c) = simplify(diff(diff(f(a,c),a),a));

M = eval(f(u,b));
d2M = eval(d2f(u,b));
d2K = d2M/M -(r/n)^2; 

S2 = d2K*(r/(u*n))^2;

