%i___________________________________________________________________________
% MAIN_SADDLE.M  
% Main program for the computation of the saddlepoint approximation to
% the density of the resultant length of the random walk under isotropy, with 
% uniform step size, Poisson number of summands and with dimension p = 3
%____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab
clear

dom = [.001 .01:.01:1];
lambda = 1; t = 8; 
r = 4.5*dom;
l = length(r);

sp = zeros(1,l); 
f = zeros(1,l); 
u = 2; % starting point
for j = 1:l,
	u = fminsearch('saddle',u,[],r(j),lambda,t);
	sp(j) = u;
	f(j) = saddens(sp(j),r(j),lambda,t);
end;

b = 1/int1(r,f); 
fn = b*f; 
