function f = saddens(u,r,lambda,t); 

%_____________________________________________________________________________
% SADDENS.M
% arguments: u (saddlepoint), r (argument of the density), lambda (Poisson 
% 	     rate), t (time)
% This function computes the saddlepoint approximation to the density of 
% the resultant length under isotropy, with uniform step size, Poisson number 
% of summands and with p = 3
%_____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab

sigma = sqrt(sigma2(u,r,lambda,t)); 
M = mfun('Shi',u)/u;

MN = (1-exp(lambda*t*M))/(1-exp(lambda*t)); 

f = sqrt(2/pi)/sigma*exp(-u*r)*MN*r^2;



