function f = saddle(u,r,lambda,t);

%_____________________________________________________________________________
% SADDLE.M
% arguments: u (saddlepoint), r (argument of the density)
% This function is maximized at the saddlepoint u for computing the
% saddlepoint approximation of the resultant length under isotropy, with 
% uniform step size, Poisson number of summands and with dimension p = 3
%_____________________________________________________________________________

M = mfun('Shi',u)/u;  
MN = (1-exp(lambda*t*M))/(1-exp(lambda*t));
f = log(MN) - u*r;



