function s2 = sigma2(u,r,lambda,t);

%_____________________________________________________________________________
% SIGMA2.M
% arguments: u (saddlepoint), r (point of evaluation), lambda (Poisson rate)
%	     t (time)  
% This function computes the the determinant of the Hessian of the c.g.f. at 
% the saddlepoint for the saddlepoint approximation of the resultant length 
% under isotropy, with uniform step size, Poisson number of summands and with 
% dimension p = 3
%_____________________________________________________________________________

s = mfun('Shi',u);

K = log(s/u);
dK = sinh(u)/u/s - 1/u;
d2K = 1/u^2 + (cosh(u)-sinh(u)/u)/u/s - (sinh(u)/u/s)^2; 

d2KN = (lambda*t*exp(K))/(1-exp(-lambda*t*exp(K)))*(1-(lambda*t*exp(K))/(exp(lambda*t*exp(K))-1));

s2 = (r/u)^2*(r*d2K/dK + d2KN*dK^2);


