%____________________________________________________________________________
% SIMUL.M	 
% Main program for the computation of the Monte Carlo distribution of the 
% resultant length random walk under isotropy, with uniform step size, 
% Poisson number of summands and with dimension p = 3 
%____________________________________________________________________________


addpath /Volumes/users/gatto/Matlab
clear

lambda = 1; t = 8;  
sim = 50;  

l = 0;
for b = 1:1000,
	disp(b); 
	N = poissrnd(lambda*t,sim,1); 
	N = N(N>0); 
	condsim = length(N);
	X = randUniformSphere(sum(N)*condsim,3);
	U = rand(sum(N)*condsim,1);
	Xu = diag(U)*X;
	clear X U; 
	k = 1; 
	for j = 1:condsim,
		R(l+j) = norm(sum( Xu(k:k+N(j)-1,:) ));
		k = k+N(j);
	end;
	l = l+condsim;
	clear Xu;
end;

d = floor(max(R)+1)/200;
histo([0:d:floor(max(R)+1)],R)

