%____________________________________________________________________________
% MAIN_SADDLE.M  
% Main program for the computation of the saddlepoint approximation to
% the density of the resultant length of the isotropic random walk with
% uniform step lentgths and dimension 3
%____________________________________________________________________________

clear

dom = [.001 .01:.01:1];
%n = 3; r = 3*dom;
n = 6; r = 4.5*dom;
%n = 9; r = 6*dom;
%n = 12; r = 7*dom; 

l = length(r);

sp = zeros(1,l); 
f = zeros(1,l); 
u = 2; % starting point
for j = 1:l,
	u = fminsearch('saddle',u,[],r(j),n);
	sp(j) = u;
	f(j) = saddens(sp(j),r(j),n);
end;

b = 1/int1(r,f); 
fn = b*f; 
