function f = saddens(u,r,n); 

%_____________________________________________________________________________
% SADDENS.M
% arguments: u (saddlepoint), r (argument of the density), n (sample size)
% This function computes the saddlepoint approximation to the density of 
% the resultant length under isotropy, uniform step size and in dimension 
% p = 3
%_____________________________________________________________________________

addpath /Volumes/users/gatto/Matlab

sigma = sqrt(sigma2(u,r,n)); 
M = mfun('Shi',u)/u;

f = sqrt(2*n/pi)/sigma*exp(-u*r)*M^n*r^2;



