function f = saddle(u,r,n);

%_____________________________________________________________________________
% SADDLE.M
% arguments: u (saddlepoint), r (argument of the density), n (sample size) 
% This function is maximized at the saddlepoint u for computing the
% saddlepoint approximation of the resultant length under isotropy, 
% uniform step size and in dimension p = 3
%_____________________________________________________________________________

M = mfun('Shi',u)/u;  
f = -(u*r/n - log(M));



