function s2 = sigma2(u,r,n);

%_____________________________________________________________________________
% SIGMA2.M
% argument: u (saddlepoint  
% This function computes the the determinant of the Hessian of the c.g.f. at 
% the saddlepoint for the saddlepoint approximation of the resultant length 
% under isotropy, with uniform step size and in dimension p = 3
%_____________________________________________________________________________

s = mfun('Shi',u);
d2K = (cosh(u)-sinh(u)/u)/u/s - 2*r/n/u - (r/n)^2; 

s2 = (r*n/u)^2*(d2K); 

